Skip to main content
POST
/
api
/
v4
/
orders
/
conditional
Query unexecuted(active) conditional orders
curl --request POST \
  --url https://whitebit.com/api/v4/orders/conditional \
  --header 'Content-Type: application/json' \
  --header 'X-TXC-APIKEY: <api-key>' \
  --header 'X-TXC-PAYLOAD: <api-key>' \
  --header 'X-TXC-SIGNATURE: <api-key>' \
  --data '
{
  "market": "BTC_USDT",
  "offset": 0,
  "limit": 100
}
'
{
  "limit": 100,
  "offset": 0,
  "total": 2,
  "records": [
    {
      "id": 117703764513,
      "type": "oco",
      "reduceOnly": false,
      "stop_loss": {
        "order_id": 117703764514,
        "client_order_id": "",
        "market": "BTC_USDT",
        "side": "buy",
        "type": "stop limit",
        "timestamp": 1594605801.49815,
        "deal_money": "0",
        "deal_stock": "0",
        "amount": "2.241379",
        "takerFee": "0.001",
        "makerFee": "0.001",
        "left": "2.241379",
        "deal_fee": "0",
        "post_only": false,
        "mtime": 1662478154.941582,
        "price": "19928.79",
        "activation_price": "29928.79",
        "activation_condition": "gte",
        "activated": 0,
        "status": "FILLED",
        "stp": "no",
        "positionSide": "LONG"
      },
      "take_profit": {
        "order_id": 117703764515,
        "client_order_id": "",
        "market": "BTC_USDT",
        "side": "buy",
        "type": "limit",
        "timestamp": 1662478154.941582,
        "deal_money": "0",
        "deal_stock": "0",
        "amount": "0.635709",
        "takerFee": "0.001",
        "makerFee": "0.001",
        "left": "0.635709",
        "deal_fee": "0",
        "post_only": false,
        "mtime": 1662478154.941582,
        "price": "9928.79",
        "status": "FILLED",
        "stp": "no",
        "positionSide": "LONG"
      }
    },
    {
      "id": 29457221,
      "type": "oto",
      "reduceOnly": false,
      "stopLossPrice": "30000",
      "takeProfitPrice": "50000",
      "conditionalOrder": {
        "order_id": 3686033640,
        "client_order_id": "customId11",
        "market": "BTC_USDT",
        "side": "buy",
        "type": "limit",
        "timestamp": 1594605801.49815,
        "deal_money": "0",
        "deal_stock": "0",
        "amount": "2.241379",
        "takerFee": "0.001",
        "makerFee": "0.001",
        "left": "2.241379",
        "deal_fee": "0",
        "price": "40000",
        "status": "FILLED",
        "stp": "no",
        "positionSide": "LONG"
      }
    }
  ]
}
The reduceOnly response field documented on this page is coming soon. The documentation is published in advance for integration planning. The field is not yet returned by the API. See Reduce-only orders for details.

Authorizations

X-TXC-APIKEY
string
header
required

The public WhiteBIT API key.

X-TXC-PAYLOAD
string
header
required

Base64-encoded JSON request body.

X-TXC-SIGNATURE
string
header
required

HMAC-SHA512 signature of the payload, hex-encoded. Computed as hex(HMAC-SHA512(payload, api_secret)).

Body

application/json
market
string

Filter by specific market. Example: BTC_USDT

If not specified, returns conditional orders for all markets.

Example:

"BTC_USDT"

offset
integer
default:0

Number of records to skip for pagination.

Example:

0

limit
integer
default:50

Maximum number of records to return per page.

Example:

100

request
string
Example:

"{{request}}"

nonce
string
Example:

"{{nonce}}"

Response

Successful response - returns paginated conditional orders (OCO and OTO types)

limit
integer

Number of records per page

Example:

100

offset
integer

Number of records skipped

Example:

0

total
integer

Total number of records

Example:

2

records
object[]

Array of conditional orders (can be OCO or OTO type)

OCO type conditional order